=== debian/changelog ===
prometheus-phpfpm-exporter (0.6.0-1) unstable; urgency=medium

  [ Nicolas Peugnet ]
  * Initial release (Closes: #1077531)
  * Use 'Enhances: php-fpm' like other Prometheus exporters
  * Include opcache exporter and Grafana dashboards as examples

  [ Otto Kekäläinen ]
  * Simplify debian/rules to produce a cleaner package and make rules and
    debian/control adhere to what dh_golang(1) recommends

 -- Otto Kekäläinen <otto@debian.org>  Sat, 28 Dec 2024 12:20:53 -0800
