=== debian/control ===
Source: prometheus-phpfpm-exporter
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Nicolas Peugnet <nicolas@club1.fr>,
 Otto Kekäläinen <otto@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev,
               golang-github-tomasen-fcgi-client-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
               golang-prometheus-client-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-phpfpm-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-phpfpm-exporter.git
Homepage: https://github.com/Lusitaniae/phpfpm_exporter
XS-Go-Import-Path: github.com/Lusitaniae/phpfpm_exporter

Package: prometheus-phpfpm-exporter
Section: net
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends}
Enhances: php-fpm
Built-Using: ${misc:Static-Built-Using}
Description: Prometheus exporter for PHP-FPM
 Prometheus Exporter for the PHP-FPM status page.
 .
 Metrics are scrapped via unix socket and made available on port 9253.
 .
 This exporter also provides a way for embedding the output of arbitrary
 PHP scripts into its metrics page, analogous to the node exporter's
 textfile collector.
 .
 It supports monitoring multiple pools which can be provided either one
 by one or with a directory, and there are example Grafana dashboards
 for both single and multi-pool configurations.
